Returned by POST /serial_numbers with variant_id, GET /serial_numbers with variant_id or ids, GET /serial_numbers/{id} and PATCH /serial_numbers/{id}.
| Attribute | Description |
|---|
| id | Unique identifier for the serial number. Use it as serial_number_id in the traceability of documents. |
| variant_id | ID of the serial-tracked product or material variant the serial number belongs to. |
| serial_number | The code of the serial number. Uppercase letters, digits and the characters -, _ and /, at most 32 characters. |
| expiration_date | The expiration date of the serial number, or null. ISO 8601 format with time and timezone. |
| created_at | The timestamp when the serial number was created. |
| updated_at | The timestamp when the serial number was last updated. |
❗
| Attribute | Description |
|---|
| id | Unique identifier for the serial number. |
| transaction_id | Unique identifier for the transaction object. |
| serial_number | The code of the serial number. |
| resource_type | Resource type that the serial number transaction is attached to. |
| resource_id | Unique identifier for the resource. |
| transaction_date | The timestamp when the transaction was created. |
| quantity_change | Item transaction's quantity change, 1 indicates increase of the item in stocks, -1 indicates decrease of the item in stocks |